import request from '@/utils/request'
var service_name = 'oil-refinery'
var group_name = 'xoilRefinerySettlement'
export default {
  getByPage(page) {
    // 分页查询
    return request({
      url: `/${service_name}/${group_name}/getByPage`,
      method: 'post',
      data: page
    })
  },
  getByIdDetail(id) {
    // 根据id查询详情
    return request({
      url: `/${service_name}/${group_name}/get/${id}`,
      method: 'get'
    })
  },
  orderGetByPage(page) {
    // 新增待选-分页查询
    return request({
      url: `/${service_name}/xoilRefineryOrder/getByPage`,
      method: 'post',
      data: page
    })
  },
  settlementSave(sysCustomerInfo) {
    // 新增-保存
    return request({
      url: `/${service_name}/${group_name}/save`,
      method: 'post',
      data: sysCustomerInfo
    })
  },
  update(sysCustomerInfo) {
    // 审核
    return request({
      url: `/${service_name}/${group_name}/update`,
      method: 'post',
      data: sysCustomerInfo
    })
  },
  getLikeByCompanyType(oilCompanyInfo) {
    // 根据企业名称模糊搜索
    return request({
      url: `/oil-user/oilCompanyInfo/getLikeByCompanyType`,
      method: 'post',
      data: oilCompanyInfo
    })
  }
}
